## osspsa 1.2.6

=== debian/changelog ===
osspsa (1.2.6-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007681).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 14:17:19 +0200

osspsa (1.2.6-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:00:39 +0200

osspsa (1.2.6-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #741474)
  * Switch to debhelper compat level 10.  (Closes: #817611, #833206)
  * Add build-arch/build-indep targets.
  * Build with autotools-dev.  (Closes: #727483)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 15:44:12 +0100

osspsa (1.2.6-1) unstable; urgency=low

  * New upstream release.
  * Removed bash'sm in debian/rules (closes: #372864).

 -- Raphael Bossek <bossekr@debian.org>  Mon, 23 Jul 2007 17:41:15 +0200

osspsa (1.2.4-1) unstable; urgency=low

  * Update to new upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sun, 24 Apr 2005 11:46:57 +0200

osspsa (1.2.2-1) unstable; urgency=low

  * Initial Release (Closes: #285820).

 -- Raphael Bossek <bossekr@debian.org>  Mon, 29 Nov 2004 10:55:45 +0100
