=== debian/control ===
Source: osspsa
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 autotools-dev,
 perl,
Standards-Version: 3.6.1
Homepage: http://www.ossp.org/pkg/lib/sa

Package: libossp-sa-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libossp-sa12 (= ${binary:Version})
Description: Abstraction library for the Unix socket API
 OSSP sa is an abstraction library for the Unix socket application
 programming interface (API) featuring stream and datagram oriented
 communication over Unix Domain and Internet Domain (TCP and UDP)
 sockets. It provides the following key features: address abstraction
 (local, IPv4, and IPv6), type abstraction, I/O timeouts, I/O stream
 buffering and convenience I/O functions.

Package: libossp-sa12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Abstraction library for the Unix socket API
 OSSP sa is an abstraction library for the Unix socket application
 programming interface (API) featuring stream and datagram oriented
 communication over Unix Domain and Internet Domain (TCP and UDP)
 sockets. It provides the following key features: address abstraction
 (local, IPv4, and IPv6), type abstraction, I/O timeouts, I/O stream
 buffering and convenience I/O functions.
