=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

TARBALL = $(shell ls -1 sa-*.tar.gz)
SRCDIR = $(subst .tar.gz,,$(TARBALL))

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

$(SRCDIR)/configure:	$(TARBALL)
	tar -xzf $<
	cd $(SRCDIR) && for i in $(CURDIR)/debian/patches/*; do patch -p1 < $$i; done
	dh_autotools-dev_updateconfig

$(SRCDIR)/config.status: $(SRCDIR)/configure
	dh_testdir
	# Add here commands to configure the package.
	cd "$(SRCDIR)" && CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --includedir=\$${prefix}/include/ossp

build: build-arch build-indep
build-indep:
build-arch: build-stamp
build-stamp:  $(SRCDIR)/config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(SRCDIR)

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp 
	dh_autotools-dev_restoreconfig

	# Add here commands to clean up after the build process.
	rm -rf "$(SRCDIR)"

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -C "$(SRCDIR)" install DESTDIR=$(CURDIR)/debian/tmp
	dh_movefiles -plibossp-sa12 `cd $(CURDIR)/debian/tmp && ls -1 usr/lib/lib*.so.*`
	dh_movefiles -plibossp-sa-dev usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(SRCDIR)/ChangeLog
	dh_installdocs $(SRCDIR)/NEWS $(SRCDIR)/README $(SRCDIR)/TODO
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
