=== debian/watch ===
version=3

ftp://ftp.ossp.org/pkg/lib/sa/sa-(\d+\.\d+\.\d+)\.tar\.gz
